
QGIS Application - Bug report #14703

Identify Results -> Save Link Fails

2016-04-19 06:58 AM - Frank MR

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Map Tools

Affected QGIS version:master_2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22664

Description

When using a OGC:WMS and selecting the (I) button, the WMS provider provides an HTML document with content that can be

downloaded.  When I click the "Save Link" to download content via <a href>...</a> links displayed in this page I get network timeout errors

reported in QGIS.  It does not pop-up a file save dialog to save content.

I've tried the links provided using Copy Link, and pasting it into a web browser and it works fine.  Also, I tried this in other GIS tools and it

works fine.  So I believe this to be a bug that the "Save Link" function does not work in the "Identify Results" page.

Associated revisions

Revision bdc2e24d - 2016-11-09 03:43 PM - Alessandro Pasotti 

File downloader for identify dialog hyperlinks

fixes #14703

Include C++ and Python tests

Revision a676bde4 - 2016-11-10 01:03 PM - Alessandro Pasotti 

[bugfix][backport] File downloader for identify dialog hyperlinks

fixes #14703

Include C++ and Python tests

( cherry-picked from commit bdc2e24 )

Try to convince Travis to behave like a normal mechanical being

Travis won: ported all test cases to Python

and disabled C++ companion test (still useful locally and

for debugging)

For the curious: QTemporaryFile is not working as expected

( cherry-picked from 57aa7fd )

Revision 4e96912c - 2016-11-11 05:26 PM - Alessandro Pasotti 

[bugfix][forwardport] File downloader for identify dialog hyperlinks
fixes #14703

Include C++ and Python tests

Travis won: ported all test cases to Python

and disabled C++ companion test (still useful locally and

for debugging)

For the curious: QTemporaryFile is not working as expected

Moved to Qt5 new style signals

Disabled C++ test and connected cancel to progress

Make string comparison on SSL errors more robust

History

#1 - 2016-05-23 01:57 PM - Giovanni Manghi

- Priority changed from High to Normal

#2 - 2016-10-14 05:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

a few questions:

is the "(I) button" the identify tool?

what is the wms server, geoserver?

what is the platform where you use QGIS?

thanks!

#3 - 2016-10-26 04:15 PM - Giovanni Manghi

- File qgis_issue_14703.qgs added

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.14.1 to master_2

Attached a project with a layer that allows to replicate the issue.

Clicking on links in the identify window causes a Timeout Network error in QGIS. Right click on links, click "copy link" and pasting into a browser works as

expected.

Other GIS packages are working as expected.

It also true that there are other WMS services with a html getfeatureinfo were the links work as expected in QGIS identify window.
#4 - 2016-10-27 05:31 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2016-10-27 08:26 AM - Alessandro Pasotti

- Status changed from Open to Feedback

The problem here is that QGIS use QWebView to show content in the identify dialog. QWebView is not a full-featured web browser and it does not

implement the download of content.

To fix this issue a system must be developed to download the files and choose the location where the downloads should be stored on the client machine.

#6 - 2016-10-27 09:53 AM - Alessandro Pasotti

- Category changed from Web Services clients/WMS to Map Tools

#7 - 2016-11-09 10:36 PM - Anonymous

- Status changed from Feedback to Closed

Fixed in changeset commit:"bdc2e24d67c6b693d4ca1acbf431625c0b56e289".

#8 - 2016-11-09 11:18 PM - Alessandro Pasotti

Merged into 2.18, backporting to 2.14 and forward porting to master are in progress.

#9 - 2016-11-10 09:19 AM - Alessandro Pasotti

- Status changed from Closed to Feedback

Backported to 2.14

#10 - 2016-11-11 08:42 AM - Anonymous

- Status changed from Feedback to Closed

Fixed in changeset commit:"4e96912c913d8812f46b30a233897bc4c58621d6".

#11 - 2016-11-11 09:00 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

Files

qgis_issue_14703.qgs 5.1 KB 2016-10-26 Giovanni Manghi
